<?php
/*
	Stempora Web Framework
	Copyright (c) 2002-2014 Stempora. 
	All rights reserved.
		web:  www.stempora.com
		mail: support@stempora.com		
*/

// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CGlobalHooks extends CPlugin{
	
	var $tplvars; 

	function CGlobalHooks() {
		//$this->CPlugin($db, $tables , $templates);
	}


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function SetModule(&$module) {
		$this->module_data = $module;
	}

	
	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Execute() {
		
		foreach ($this->plugins as $key => $val) {
			if (method_exists($this->plugins[$key] , "onGlobalHooksExecute")) {
				$this->plugins[$key]->onGlobalHooksExecute($this->module_data);
			}			
		}
		
	}
	
}

?>